- [HTTP request](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.ListReleasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1beta1/projects.locations.releases/list.md.txt#try-it)

Retrieve a collection of releases.

### HTTP request

`GET https://saasservicemgmt.googleapis.com/v1beta1/{parent=projects/*/locations/*}/releases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent of the release. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of releases to send per page. |
| `pageToken` | `string` The page token: If the nextPageToken from a previous response is provided, this request will send the subsequent page. |
| `filter` | `string` Filter the list as specified in <https://google.aip.dev/160>. |
| `orderBy` | `string` Order results as specified in <https://google.aip.dev/132>. |

### Request body

The request body must be empty.

### Response body

The response structure for the releases.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "releases": [ { object (`Release`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `releases[]` | ``object (`Release`)`` The resulting releases. |
| `nextPageToken` | `string` If present, the next page token can be provided to a subsequent releases.list call to list the next page. If empty, there are no more pages. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/saasservicemgmt.readonly`
- `https://www.googleapis.com/auth/saasservicemgmt.read-write
  `

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `saasservicemgmt.releases.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).